import config from '@/config';
import engine from 'store/src/store-engine';
import localStorage from 'store/storages/localStorage';

import defaults from 'store/plugins/defaults';
import expire from 'store/plugins/expire';

const { storeNameSpace } = config;

const storages = [localStorage];
const plugins = [defaults, expire];

if (window && !window.localStorage) {
  // eslint-disable-next-line no-console
  console.error('localStorage对象不存在');
}

export default engine.createStore(storages, plugins, storeNameSpace);
